import { HttpClient } from '@angular/common/http';
import { InjectionToken } from '@angular/core';
import { Observable } from 'rxjs';
import { GlobalHeaderConfig } from '../common/common';
import { BaseService } from '../common/base.service';
export declare const APPS_CONFIG: InjectionToken<string>;
export declare class AppSwitcherService extends BaseService {
    private appsBaseUrl;
    constructor(config: GlobalHeaderConfig, http: HttpClient);
    /**
     * Test if user is already logged in (authenticated)
     */
    getApps(userId?: string): Observable<AppsResponse>;
    protected getCsrfToken(userId?: string): Observable<string>;
}
export interface AppsResponse {
    appOverviewUrl: string;
    apps: App[];
}
export interface App {
    name: string;
    favorite: boolean;
    url: string;
    target?: string;
    icon: string;
}
