import { HttpClient } from '@angular/common/http';
import { BehaviorSubject, Observable } from 'rxjs';
import { CustomerType, GlobalHeaderConfig, IAMUser } from './common';
import { BaseService } from './base.service';
export declare class LoginService extends BaseService {
    private loginUrl;
    private tryAuthUrl;
    private logoutUrl;
    accountAppUrl: string;
    private accountType;
    user$: BehaviorSubject<IAMUser>;
    constructor(config: GlobalHeaderConfig, http: HttpClient);
    setCustomerType(type: CustomerType): void;
    setAppId(appId: string): void;
    getAppId(): string;
    /**
     * Test if user is already logged in (authenticated)
     */
    tryLogin(): Observable<IAMUser>;
    /**
     * Log user in
     */
    login(): void;
    private getRegisterPath;
    /**
     * Log user out
     */
    logout(): void;
    /**
     * Return an observable with a user-facing error message
     * @param error the error to handle
     */
    private handleError;
}
