import { AfterViewInit, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { LoginService } from '../common/login.service';
import { BaseComponent } from '../common/base.component';
import { StaticTranslationService } from '../static-translate-loader.service';
import { CustomerType } from '../common/common';
export declare class LoginComponent extends BaseComponent implements OnInit, AfterViewInit, OnDestroy {
    private loginService;
    appId?: string;
    appManagesAuthentication?: boolean;
    authenticated?: Observable<boolean>;
    type: CustomerType;
    logoutEvent: EventEmitter<string>;
    /**
     * Url for Viessmann Accounts Application (customer self service)
     */
    accountAppUrl: any;
    avatar: string;
    isLoggedIn: boolean;
    authenticating: boolean;
    private authSubscription;
    private authenticatedSubscription;
    constructor(loginService: LoginService, translateService: StaticTranslationService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    setLoggedIn(loggedIn: boolean): void;
    ngOnDestroy(): void;
    tryLogin(): void;
    login(): void;
    logout(): void;
}
